## org.eclipse.emf.compare.diff.merge
Interface IMerger

All Known Implementing Classes:
  DefaultMerger

    public interface IMerger

Base interface for merger implementation. Clients can implement this interface or extend `DefaultMerger` which also provide some utility methods.

See Also:
  `DefaultMerger`

Method Summary
`void` `applyInOrigin()` Applies the modification in the original (left) model.
`boolean` `canApplyInOrigin()` Returns `True` if the merger is allowed to apply changes in the origin (left) model.
`boolean` `canUndoInTarget()` Returns `True` if the merger is allowed to undo changes in the target (right) model.
`void` `setDiffElement(DiffElement element)` Sets the `DiffElement` to be merged.
`void` `undoInTarget()` Cancels the modification in the target (right) model.

Method Detail

### applyInOrigin

    void applyInOrigin()

  Applies the modification in the original (left) model.

### canApplyInOrigin

    boolean canApplyInOrigin()

  Returns `True` if the merger is allowed to apply changes in the origin (left) model.

  Returns:
    `True` if the merger is allowed to apply changes in the origin (left) model, `False` otherwise.

### canUndoInTarget

    boolean canUndoInTarget()

  Returns `True` if the merger is allowed to undo changes in the target (right) model.

  Returns:
    `True` if the merger is allowed to undo changes in the target (right) model, `False` otherwise.

### setDiffElement

    void setDiffElement(DiffElement element)

  Sets the `DiffElement` to be merged.

  Parameters:
    `element` - The `DiffElement` to be merged.

### undoInTarget

    void undoInTarget()

  Cancels the modification in the target (right) model.

Copyright 2006 IBM Corporation and others. All Rights Reserved.